Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## hr.tis.mgw.client.message.notification
Interface MessageListener

Deprecated. For mGw version 2 use MessageListener2.

public interface MessageListener

Listener for incoming messages from gateway. Implementation has to be registered in `MmNotificationPortImpl.setMessageListener(MessageListener)`.
Route ID parameter found in every listener method can be used by application to perform some route-specific logic.

Method Summary
`void` | `deliveryStatusReceived(java.lang.String messageId, DeliveryStatusInfo deliveryStatusInfo, java.lang.String serviceAddress, java.lang.String routeId)` Deprecated.
`void` | `mmsReceived(MmsMessage mmsMessage, java.lang.String endUserAddress, java.lang.String serviceAddress, Priority priority, java.lang.String routeId)` Deprecated.
`void` | `smsReceived(SmsMessage smsMessage, java.lang.String endUserAddress, java.lang.String serviceAddress, Priority priority, java.lang.String routeId)` Deprecated.

Method Detail

### smsReceived

    public void smsReceived(SmsMessage smsMessage,
                            java.lang.String endUserAddress,
                            java.lang.String serviceAddress,
                            Priority priority,
                            java.lang.String routeId)

  Deprecated.

### mmsReceived

    public void mmsReceived(MmsMessage mmsMessage,
                            java.lang.String endUserAddress,
                            java.lang.String serviceAddress,
                            Priority priority,
                            java.lang.String routeId)

  Deprecated.

### deliveryStatusReceived

    public void deliveryStatusReceived(java.lang.String messageId,
                                       DeliveryStatusInfo deliveryStatusInfo,
                                       java.lang.String serviceAddress,
                                       java.lang.String routeId)

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007, TIS.kis d.o.o. All Rights Reserved.